import 'dart:async';

import 'package:flutter/services.dart';

class Simbadan {
  static const MethodChannel _channel = const MethodChannel('simbadan');

  static Future<void> dialByCarrier(String numberToDial, String carrier) async {
    _channel.invokeMethod(
        'dialByCarrier', {"numberToDial": numberToDial, "carrier": carrier});
  }

  static Future<List<String>> getCarriers() async {
    var carriers = await _channel.invokeMethod('getCarriers') as List<dynamic>;
    return new List<String>.from(carriers);
  }
}
